	const_def 2 ; object constants
	const MOUNTAIN_PASTURE_SHEPERD
	const MOUNTAIN_PASTURE_LOST_FLAAFFY
	const MOUNTAIN_PASTURE_HERD1
	const MOUNTAIN_PASTURE_HERD2
	const MOUNTAIN_PASTURE_HERD3
	const MOUNTAIN_PASTURE_HERD4
	const MOUNTAIN_PASTURE_HERD5
	const MOUNTAIN_PASTURE_ITEMBALL1
	const MOUNTAIN_PASTURE_NPC1

MountainPasture_MapScripts:
	db 0 ; scene scripts
        db 0 ; callbacks

MountainPastureSheperdScript:
	faceplayer
	opentext
	checkevent EVENT_FALLEN_SPARKY
	iftrue .BeCareful
	writetext .HelpMeText
	yesorno
	iffalse .NoProblem
	writetext .ThanksText
	setevent EVENT_FALLEN_SPARKY
	jump .Done
	end

.BeCareful:
	writetext .BeCarefulText
	jump .Done

.NoProblem:
	writetext .NoProblemText
	jump .Done

.Done:
	waitbutton
	closetext
	turnobject MOUNTAIN_PASTURE_SHEPERD, LEFT
	end

.HelpMeText:
	text "My FLAAFFY fell"
	line "down that cliff!"

	para "I need to lead the"
	line "herd back to the"
	cont "ranch, so I can't"
	cont "go help it."

	para "Can you help me?"

	done

.ThanksText:
	text "Thanks a lot!"
	para "Please take it"
	line "back to the ranch"
	cont "safe and sound!"
	done

.BeCarefulText:
	text "There is a cave up"
	line "here. It will take"
	cont "you right down the"
	cont "valley."
	done

.NoProblemText:
	text "Alright, I'll find"
	line "another way."
	done

MountainPastureLostFlaafyScript:
	opentext
	writetext .FlaaffyStuckText
	yesorno
	iffalse .done
	checkcode VAR_PARTYCOUNT
        ifequal PARTY_LENGTH, .partyfull
	givepoke FLAAFFY, 45, NO_ITEM, TRUE, LostFlaaffyName, LostFlaaffyOTName
	disappear MOUNTAIN_PASTURE_LOST_FLAAFFY
	writetext .FlaaffyTakenText
	closetext
	setevent EVENT_RESCUED_SPARKY
	applymovement MOUNTAIN_PASTURE_SHEPERD, .BackToHerd
	disappear MOUNTAIN_PASTURE_SHEPERD
	end
.done:
	closetext
	end

.partyfull:
	writetext .AnotherMonText
	waitbutton
	closetext
	end

.BackToHerd:
	step RIGHT
	step UP
	step RIGHT
	step RIGHT
	step RIGHT
	step_end

.AnotherMonText:
        text "You can't carry"
        line "another #MON…"
        done

.FlaaffyStuckText:
	text "Eddy: <PLAYER>!"
	para "Can you take my"
	line "FLAAFY with you?"
	done
.FlaaffyTakenText:
	text "Eddy: Thanks!"
	para "I'll take the herd"
	line "back to the Ranch."
	para "Meet me there!"
	done

LostFlaaffyName:
        db "SPARKY@"

LostFlaaffyOTName:
        db "Eddy@"
	db 0

MountainPastureMareepScript:
	opentext
	writetext .MareepText
	waitbutton
	closetext
	end
.MareepText:
	text "MAREEP: M-MMAAA!"
	done

MountainPastureFlaaffyScript:
	opentext
	writetext .FlaaffyText
	waitbutton
	closetext
	end
.FlaaffyText:
	text "FLAAFY: <…>"
	para "It is grazing."
	done

MountainPastureMiltankScript:
	opentext
	writetext .MiltankText
	waitbutton
	closetext
	end
.MiltankText:
	text "MILTANK: MMMmmm!"
	done

MountainPastureHikerScript:
	checkevent EVENT_GOT_SCOPE_LENS
	iftrue .NiceView
	faceplayer
	opentext
	writetext .ScopeLensText1
	verbosegiveitem SCOPE_LENS
	setevent EVENT_GOT_SCOPE_LENS
	writetext .ScopeLensText2
	waitbutton
	closetext
	turnobject MOUNTAIN_PASTURE_NPC1, UP
	end

.NiceView:
	jumptextfaceplayer .NiceViewText
	turnobject MOUNTAIN_PASTURE_NPC1, UP
	end
.ScopeLensText1:
	text "Hey my friend!"
	para "So you're the kind"
	line "person that fixed"
	cont "the bridge?"
	para "Thank you!"
	line "I couldn't have"
	cont "up here otherwise!"
	para "Please take that!"
	done
.ScopeLensText2:
	text "I don't need that"
	line "to enjoy the view."
	para "Take care!"
	done
.NiceViewText:
	text "What a view!"
	para "This is the Vaast"
	line "region."
	para "It looks much more"
	line "green, right?"
	para "Maybe you'll get"
	line "to visit it in"
	cont "another ROM Hack?"
	done

MountainPastureItemball1:
	itemball TM_DIG
	end

MountainPasture_MapEvents:
	db 0, 0 ; filler
	db 4 ; warp events
	warp_event 25, 27, MOUNTAIN_TUNNEL, 1
	warp_event 24,  7, MOUNTAIN_GATE1, 1
	warp_event  6, 13, MOUNTAIN_GATE2, 1
	warp_event  2, 23, MOUNTAIN_GATE3, 1
	db 0 ; coord events
	db 0 ; bg events
	db 9 ; object events
	object_event 14, 19, SPRITE_CHUCK,   SPRITEMOVEDATA_STANDING_LEFT, 0, 0, -1, -1, PAL_OW_BROWN, OBJECTTYPE_SCRIPT, 0, MountainPastureSheperdScript, EVENT_MOUNTAIN_HERD_VISIBLE
	object_event 12, 19, SPRITE_FLAAFFY, SPRITEMOVEDATA_POKEMON, 0, 0, -1, -1, PAL_OW_PINK, OBJECTTYPE_SCRIPT, 0, MountainPastureLostFlaafyScript, EVENT_MOUNTAIN_HERD_VISIBLE
	object_event 21, 10, SPRITE_MAREEP,  SPRITEMOVEDATA_POKEMON, 0, 0, -1, -1, PAL_OW_BLUE, OBJECTTYPE_SCRIPT, 0, MountainPastureMareepScript, EVENT_MOUNTAIN_HERD_VISIBLE
	object_event 16, 11, SPRITE_MAREEP,  SPRITEMOVEDATA_POKEMON, 0, 0, -1, -1, PAL_OW_BLUE, OBJECTTYPE_SCRIPT, 0, MountainPastureMareepScript, EVENT_MOUNTAIN_HERD_VISIBLE
	object_event 20, 14, SPRITE_FLAAFFY, SPRITEMOVEDATA_POKEMON, 0, 0, -1, -1, PAL_OW_PINK, OBJECTTYPE_SCRIPT, 0, MountainPastureFlaaffyScript, EVENT_MOUNTAIN_HERD_VISIBLE
	object_event 18, 13, SPRITE_MILTANK, SPRITEMOVEDATA_POKEMON, 0, 0, -1, -1, PAL_OW_PINK, OBJECTTYPE_SCRIPT, 0, MountainPastureMiltankScript, EVENT_MOUNTAIN_HERD_VISIBLE
	object_event 20,  8, SPRITE_MILTANK, SPRITEMOVEDATA_POKEMON, 0, 0, -1, -1, PAL_OW_PINK, OBJECTTYPE_SCRIPT, 0, MountainPastureMiltankScript, EVENT_MOUNTAIN_HERD_VISIBLE
	object_event  3, 27, SPRITE_POKE_BALL, SPRITEMOVEDATA_STILL, 0, 0, -1, -1, 0, OBJECTTYPE_ITEMBALL, 0, MountainPastureItemball1, EVENT_MOUNTAIN_TM28_DIG
	object_event 18,  4, SPRITE_BRUNO, SPRITEMOVEDATA_STANDING_UP, 0, 0, -1, -1, PAL_NPC_BROWN, OBJECTTYPE_SCRIPT, 0, MountainPastureHikerScript, -1
